#!/bin/bash

echo "Ideally, you have a git remote setup for git://git.kernel.org/pub/scm/git/git.git"
echo "If you do not, then do this:"
echo "	git remote add upstream git://git.kernel.org/pub/scm/git/git.git"
echo "	git remote add upstream-htmldocs git://git.kernel.org/pub/scm/git/git-htmldocs.git"
echo "	git remote add upstream-manpages git://git.kernel.org/pub/scm/git/git-manpages.git"
echo "Once it is setup, then:"
echo "	git merge -X subtree=src/git \$RELEASE_TAG"
echo "Sadly, the generated man docs are not tagged. So: \"git log upstream-manpages/master\""
echo "and look for the commit hash with the right version. Then:"
echo "	git merge -X subtree=src/git-manpages upstream-manpages/master"
echo "Sadly, the generated html docs are not tagged. So: \"git log upstream-htmldocs/master\""
echo "and look for the commit hash with the right version. Then:"
echo "	git merge -X subtree=src/git-htmldocs upstream-htmldocs/master"
